function [fas,mds,outeigs,estTime] = TensorEstimatorAFNICox(data,gradientTable,bvalue,roiMask,textProgress,options)
origD=pwd;
mkdir('tempLinear');
cd('tempLinear');

disp(textProgress);
dos('rm -f *.HEAD');
dos('rm -f *.BRIK');
dos('rm -f linear');

fas = zeros([size(roiMask) ]);
mds = zeros([size(roiMask) ]);
afni = '/iacl/u1/bennett/afni/linux_gcc33_64/';

a = create_avw([size(data,1) size(data,2) 1],[1 1 1]);
a.hdr.dime.datatype=16;
a.img=data(:,:,1);
avw_img_write(a,'b0');
dos([afni '3dcopy ' 'b0.hdr ' 'b0']);

str = [];
for g=1:(size(data,3)-1),
    a.img=data(:,:,1+g);
    avw_img_write(a,['g' num2str(g)]);
    dos([afni '3dcopy ' 'g' num2str(g) '.hdr ' 'g' num2str(g)]);
    str = [str ' g' num2str(g) '+orig'];
end

dos([afni '3dbucket b0+orig ' str ' -output dwidata']);
save('grad','gradientTable','-ASCII')
tic;
dos([afni '3dDWItoDT -linear grad dwidata+orig']);
estTime =toc;
dos([afni '3dAFNItoRaw -output linear DT+orig']);
linearD = loadFloat('linear',[6 size(data,1) size(data,2)]);

dos('rm -f *.HEAD');
dos('rm -f *.BRIK');
dos('rm -f linear');

[I,J] = find(roiMask);

for jI=1:length(I)
    i=I(jI);
    j=J(jI);


    % Use Unrestricted Fitting
    D = linearD(:,i,j);
    D = D([1 2 4 3 5 6]); % data ordering!
    DT = [D(1) D(2) D(3);D(2) D(4) D(5); D(3) D(5) D(6)];
    e = eig(DT)/bvalue;
    outeigs(i,j,:) = -sort(-e);

    fas(i,j) = calcFAdirect(e);
    mds(i,j) = mean(e);

end
cd(origD);