function volume = loadFloat(filename,sz)
% volume = loadFloat(filename,sz)
%
% 
%filename = file name, including path
% sz = size of image, ex. [256 256 90]


file = dir(filename);
if(isempty(file))
    error('Unable to find file.');
end


%Default settings for size, if not entered
if(~exist('sz'))

    sz = [256 256 file.bytes/256/256/4]; % assumed to be 256x256xN voxels

end

fp = fopen(filename,'rb','ieee-le'); volume  = fread(fp,'float');fclose(fp);
volume  = reshape(volume,sz);
