function [biasFA,varFA,meanFA,biasMds,varMds,meanMds,meanEig,varEig,SNR,estimationTime] = ...
    simulateTensorSlice(TensorEstimator,data,grad,bvalue,mask, noiseLevels, nReps,varargin)

% Optional:
% randn('state',20060912); % Make this experiment repeatable

TI = now;
[trueFA,trueMds] = TensorEstimator(data,grad,bvalue,mask,'TrueFA',varargin);

tm = zeros([length(noiseLevels) nReps]);

for jNL = 1:length(noiseLevels)
    rdata = zeros([size(data) nReps]);
    for jR = 1:nReps
        for js=1:size(data,3)
            rdata(:,:,js,jR) = abs(data(:,:,js)+...
                (randn(size(data(:,:,js)))+sqrt(-1)*randn(size(data(:,:,js))))*noiseLevels(jNL));
        end

        TM= (now-TI)*24;
        nR=nReps*(jNL-1)+jR;
        T=TM/(nR)*(nReps*length(noiseLevels)-nR);
        [fas(:,:,:,jR),mds(:,:,:,jR),eig3(:,:,:,:,jR),tm(jNL,jR)] = TensorEstimator(rdata(:,:,:,jR),grad,bvalue,mask,sprintf('NL %d of %d, Rep %d of %d (%.2f hrs remaining)',jNL,length(noiseLevels),jR,nReps,T),varargin);

    end
    meanEig{jNL} = mean(eig3,5);
    varEig{jNL} = var(eig3,0,5);
    meanFA{jNL} = mean(fas,4);
    biasFA{jNL} = meanFA{jNL}-trueFA;
    varFA{jNL} = var(fas,0,4);

    meanMds{jNL} = mean(mds,4);
    biasMds{jNL} = meanMds{jNL}-trueMds;
    varMds{jNL} = var(mds,0,4);

    SNR{jNL} = 10*log10(max(eps,data(:,:,1).^2./var(squeeze(rdata(:,:,1,:)),0,3)));
end
estimationTime = mean(tm(:));